CREATE TABLE {pre}_abcode (
  abcode_id {serial},
  abcode_func varchar(8) NOT NULL default '',
  abcode_pattern varchar(40) NOT NULL default '',
  abcode_result varchar(40) NOT NULL default '',
  abcode_file varchar(80) NOT NULL default '',
  PRIMARY KEY (abcode_id)
){engine};

INSERT INTO {pre}_abcode (abcode_func, abcode_pattern, abcode_result, abcode_file) VALUES ('img', ':)', '', 'smile.gif');
INSERT INTO {pre}_abcode (abcode_func, abcode_pattern, abcode_result, abcode_file) VALUES ('img', ';)', '', 'wink.gif');
INSERT INTO {pre}_abcode (abcode_func, abcode_pattern, abcode_result, abcode_file) VALUES ('img', ':D', '', 'biggrin.gif');
INSERT INTO {pre}_abcode (abcode_func, abcode_pattern, abcode_result, abcode_file) VALUES ('img', ':P', '', 'tongue.gif');
INSERT INTO {pre}_abcode (abcode_func, abcode_pattern, abcode_result, abcode_file) VALUES ('img', ':cool:', '', 'cool.gif');
INSERT INTO {pre}_abcode (abcode_func, abcode_pattern, abcode_result, abcode_file) VALUES ('img', ':lol:', '', 'lol.gif');
INSERT INTO {pre}_abcode (abcode_func, abcode_pattern, abcode_result, abcode_file) VALUES ('img', ';(', '', 'frown.gif');
INSERT INTO {pre}_abcode (abcode_func, abcode_pattern, abcode_result, abcode_file) VALUES ('img', ':mad:', '', 'mad.gif');
INSERT INTO {pre}_abcode (abcode_func, abcode_pattern, abcode_result, abcode_file) VALUES ('img', ':rolleyes:', '', 'rolleyes.gif');

CREATE TABLE {pre}_abonements (
  abonements_id {serial},
  users_id int(8) NOT NULL default '0',
  threads_id int(8) NOT NULL default '0',
  PRIMARY KEY (abonements_id)
){engine};

CREATE TABLE {pre}_access (
  access_id {serial},
  access_name varchar(40) NOT NULL default '',
  access_access int(2) NOT NULL default '0',
  access_bxcp int(2) NOT NULL default '0',
  access_abcode int(2) NOT NULL default '0',
  access_articles int(2) NOT NULL default '0',
  access_awards int(2) NOT NULL default '0',
  access_banners int(2) NOT NULL default '0',
  access_board int(2) NOT NULL default '0',
  access_boardmods int(2) NOT NULL default '0',
  access_boardranks int(2) NOT NULL default '0',
  access_buddys int(2) NOT NULL default '0',
  access_cash int(2) NOT NULL default '0',
  access_categories int(2) NOT NULL default '0',
  access_clans int(2) NOT NULL default '0',
  access_comments int(2) NOT NULL default '0',
  access_computers int(2) NOT NULL default '0',
  access_contact int(2) NOT NULL default '0',
  access_count int(2) NOT NULL default '0',
  access_errors int(2) NOT NULL default '0',
  access_events int(2) NOT NULL default '0',
  access_faq int(2) NOT NULL default '0',
  access_fightus int(2) NOT NULL default '0',
  access_files int(2) NOT NULL default '0',
  access_gallery int(2) NOT NULL default '0',
  access_games int(2) NOT NULL default '0',
  access_gbook int(2) NOT NULL default '0',
  access_history int(2) NOT NULL default '0',
  access_joinus int(2) NOT NULL default '0',
  access_links int(2) NOT NULL default '0',
  access_linkus int(2) NOT NULL default '0',
  access_logs int(2) NOT NULL default '0',
  access_maps int(2) NOT NULL default '0',
  access_members int(2) NOT NULL default '0',
  access_messages int(2) NOT NULL default '0',
  access_news int(2) NOT NULL default '0',
  access_newsletter int(2) NOT NULL default '0',
  access_options int(2) NOT NULL default '0',
  access_quotes int(2) NOT NULL default '0',
  access_ranks int(2) NOT NULL default '0',
  access_replays int(2) NOT NULL default '0',
  access_rules int(2) NOT NULL default '0',
  access_search int(2) NOT NULL default '0',
  access_servers int(2) NOT NULL default '0',
  access_shoutbox int(2) NOT NULL default '0',
  access_squads int(2) NOT NULL default '0',
  access_updates int(2) NOT NULL default '0',
  access_users int(2) NOT NULL default '0',
  access_votes int(2) NOT NULL default '0',
  access_wars int(2) NOT NULL default '0',
  PRIMARY KEY (access_id),
  UNIQUE (access_name)
){engine};

INSERT INTO {pre}_access (access_name, access_access, access_bxcp, access_abcode, access_articles, access_awards, access_banners, access_board, access_boardmods, access_boardranks, access_buddys, access_cash, access_categories, access_clans, access_comments, access_computers, access_contact, access_count, access_errors, access_events, access_faq, access_fightus, access_files, access_gallery, access_games, access_gbook, access_history, access_joinus, access_links, access_linkus, access_logs, access_maps, access_members, access_messages, access_news, access_newsletter, access_options, access_quotes, access_ranks, access_replays, access_rules, access_search, access_servers, access_shoutbox, access_squads, access_updates, access_users, access_votes, access_wars) VALUES ('{guest}', 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1);
INSERT INTO {pre}_access (access_name, access_access, access_bxcp, access_abcode, access_articles, access_awards, access_banners, access_board, access_boardmods, access_boardranks, access_buddys, access_cash, access_categories, access_clans, access_comments, access_computers, access_contact, access_count, access_errors, access_events, access_faq, access_fightus, access_files, access_gallery, access_games, access_gbook, access_history, access_joinus, access_links, access_linkus, access_logs, access_maps, access_members, access_messages, access_news, access_newsletter, access_options, access_quotes, access_ranks, access_replays, access_rules, access_search, access_servers, access_shoutbox, access_squads, access_updates, access_users, access_votes, access_wars) VALUES ('{community}', 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2);
INSERT INTO {pre}_access (access_name, access_access, access_bxcp, access_abcode, access_articles, access_awards, access_banners, access_board, access_boardmods, access_boardranks, access_buddys, access_cash, access_categories, access_clans, access_comments, access_computers, access_contact, access_count, access_errors, access_events, access_faq, access_fightus, access_files, access_gallery, access_games, access_gbook, access_history, access_joinus, access_links, access_linkus, access_logs, access_maps, access_members, access_messages, access_news, access_newsletter, access_options, access_quotes, access_ranks, access_replays, access_rules, access_search, access_servers, access_shoutbox, access_squads, access_updates, access_users, access_votes, access_wars) VALUES ('{member}', 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 2, 3, 3);
INSERT INTO {pre}_access (access_name, access_access, access_bxcp, access_abcode, access_articles, access_awards, access_banners, access_board, access_boardmods, access_boardranks, access_buddys, access_cash, access_categories, access_clans, access_comments, access_computers, access_contact, access_count, access_errors, access_events, access_faq, access_fightus, access_files, access_gallery, access_games, access_gbook, access_history, access_joinus, access_links, access_linkus, access_logs, access_maps, access_members, access_messages, access_news, access_newsletter, access_options, access_quotes, access_ranks, access_replays, access_rules, access_search, access_servers, access_shoutbox, access_squads, access_updates, access_users, access_votes, access_wars) VALUES ('{orga}', 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 2, 4, 4);
INSERT INTO {pre}_access (access_name, access_access, access_bxcp, access_abcode, access_articles, access_awards, access_banners, access_board, access_boardmods, access_boardranks, access_buddys, access_cash, access_categories, access_clans, access_comments, access_computers, access_contact, access_count, access_errors, access_events, access_faq, access_fightus, access_files, access_gallery, access_games, access_gbook, access_history, access_joinus, access_links, access_linkus, access_logs, access_maps, access_members, access_messages, access_news, access_newsletter, access_options, access_quotes, access_ranks, access_replays, access_rules, access_search, access_servers, access_shoutbox, access_squads, access_updates, access_users, access_votes, access_wars) VALUES ('{admin}', 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5);

CREATE TABLE {pre}_articles (
  articles_id {serial},
  users_id int(8) NOT NULL default '0',
  categories_id int(8) NOT NULL default '0',
  articles_time varchar(14) NOT NULL default '0',
  articles_text text NOT NULL default '',
  articles_headline varchar(200) NOT NULL default '',
  articles_navlist int(2) NOT NULL default '0',
  articles_views int(8) NOT NULL default '0',
  articles_com int(2) NOT NULL default '0',
  articles_fornext int(2) NOT NULL default '0',
  PRIMARY KEY (articles_id)
){engine};

CREATE TABLE {pre}_autoresponder (
  autoresponder_id {serial},
  users_id int(8) NOT NULL default '0',
  autoresponder_subject varchar(80) NOT NULL default '',
  autoresponder_text text NOT NULL default '',
  autoresponder_time varchar(14) default NULL,
  autoresponder_close int(2) NOT NULL default '0',
  autoresponder_mail int(2) NOT NULL default '0',
  PRIMARY KEY (autoresponder_id)
) {engine};

CREATE TABLE {pre}_awards (
  awards_id {serial},
  users_id int(8) NOT NULL default '0',
  awards_rank int(8) NOT NULL default '0',
  awards_time varchar(14) NOT NULL default '',
  awards_info text NOT NULL default '',
  games_id int(8) NOT NULL default '0',
  awards_event text NOT NULL default '',
  PRIMARY KEY (awards_id)
){engine};

CREATE TABLE {pre}_banners (
  banners_id {serial},
  banners_name varchar(40) NOT NULL default '',
  banners_url varchar(80) NOT NULL default '',
  banners_alt varchar(80) NOT NULL default '',
  banners_order int(4) NOT NULL default '0',
  banners_picture varchar(80) NOT NULL default '',
  PRIMARY KEY (banners_id)
){engine};

CREATE TABLE {pre}_board (
  board_id {serial},
  categories_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  board_access int(2) NOT NULL default '0',
  board_name varchar(80) NOT NULL default '',
  board_text varchar(200) NOT NULL default '',
  board_time int(14) NOT NULL default '0',
	board_pwd varchar(40) NOT NULL default '',
	board_threads int(8) NOT NULL default '0',
	board_comments int(8) NOT NULL default '0',
  PRIMARY KEY (board_id)
){engine};

CREATE TABLE {pre}_boardfiles (
  boardfiles_id {serial},
  threads_id int(8) NOT NULL default '0',
  comments_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  boardfiles_time varchar(14) NOT NULL default '',
  boardfiles_name varchar(80) NOT NULL default '',
  PRIMARY KEY (boardfiles_id)
) {engine};

CREATE TABLE {pre}_boardmods (
  boardmods_id {serial},
  users_id int(8) NOT NULL default '0',
  boardmods_modpanel int(2) NOT NULL default '0',
  boardmods_edit int(2) NOT NULL default '0',
  boardmods_del int(2) NOT NULL default '0',
  PRIMARY KEY (boardmods_id)
){engine};

CREATE TABLE {pre}_boardpws (
  boardpws_id {serial},
  board_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  PRIMARY KEY (boardpws_id)
){engine};

CREATE TABLE {pre}_boardranks (
  boardranks_id {serial},
  boardranks_min int(8) NOT NULL default '0',
  boardranks_name varchar(200) NOT NULL default '',
  PRIMARY KEY (boardranks_id)
){engine};

INSERT INTO {pre}_boardranks (boardranks_min, boardranks_name) VALUES (0, 'Beginner');
INSERT INTO {pre}_boardranks (boardranks_min, boardranks_name) VALUES (20, 'Wannabe poster');
INSERT INTO {pre}_boardranks (boardranks_min, boardranks_name) VALUES (40, 'Rock the board');
INSERT INTO {pre}_boardranks (boardranks_min, boardranks_name) VALUES (100, 'Try to beat me');
INSERT INTO {pre}_boardranks (boardranks_min, boardranks_name) VALUES (200, 'King for a day');
INSERT INTO {pre}_boardranks (boardranks_min, boardranks_name) VALUES (400, 'Going for pro');
INSERT INTO {pre}_boardranks (boardranks_min, boardranks_name) VALUES (600, 'Poststar');
INSERT INTO {pre}_boardranks (boardranks_min, boardranks_name) VALUES (800, 'Just nerd');
INSERT INTO {pre}_boardranks (boardranks_min, boardranks_name) VALUES (1000, 'Geekboy');

CREATE TABLE {pre}_boardvotes (
  boardvotes_id {serial},
  threads_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  boardvotes_access int(2) NOT NULL default '0',
  boardvotes_time varchar(14) NOT NULL default '',
  boardvotes_end varchar(14) NOT NULL default '',
  boardvotes_question varchar(50) NOT NULL default '',
  boardvotes_election text NOT NULL default '',
  PRIMARY KEY (boardvotes_id)
) {engine};

CREATE TABLE {pre}_buddys (
  buddys_id {serial},
  users_id int(8) NOT NULL default '0',
  buddys_user int(8) NOT NULL default '0',
  buddys_time varchar(14) NOT NULL default '',
  buddys_notice text NOT NULL default '',
  PRIMARY KEY (buddys_id),
  UNIQUE (buddys_user,users_id)
){engine};

CREATE TABLE {pre}_captcha (
  captcha_id {serial},
  captcha_time varchar(14) NOT NULL default '',
  captcha_ip varchar(40) NOT NULL default '',
  captcha_string varchar(8) NOT NULL default '',
  PRIMARY KEY (captcha_id)
){engine};

CREATE TABLE {pre}_categories (
  categories_id {serial},
  categories_mod varchar(80) NOT NULL default '',
  categories_name varchar(80) NOT NULL default '',
  categories_picture varchar(80) NOT NULL default '',
  categories_url varchar(80) NOT NULL default '',
  categories_text text NOT NULL default '',
  categories_access int(2) NOT NULL default '0',
  categories_order int(4) NOT NULL default '0',
  PRIMARY KEY (categories_id),
  UNIQUE (categories_mod,categories_name)
){engine};

CREATE TABLE {pre}_cash (
  cash_id {serial},
  cash_time varchar(14) NOT NULL default '',
  cash_money varchar(8) NOT NULL default '',
  cash_text varchar(200) NOT NULL default '',
  cash_info text NOT NULL default '',
  cash_inout varchar(4) NOT NULL default '',
  PRIMARY KEY (cash_id)
){engine};

CREATE TABLE {pre}_clans (
  clans_id {serial},
  clans_name varchar(200) NOT NULL default '',
  clans_short varchar(20) NOT NULL default '',
  clans_tag varchar(40) NOT NULL default '',
  clans_tagpos int(2) NOT NULL default '0',
  clans_country varchar(4) NOT NULL default '',
  clans_url varchar(80) NOT NULL default '',
  clans_since varchar(14) NOT NULL default '',
  PRIMARY KEY (clans_id),
  UNIQUE (clans_name)
){engine};

CREATE TABLE {pre}_comments (
  comments_id {serial},
  users_id int(8) NOT NULL default '0',
  comments_fid int(8) NOT NULL default '0',
  comments_mod varchar(80) NOT NULL default '',
  comments_ip varchar(40) NOT NULL default '',
  comments_time varchar(14) NOT NULL default '',
  comments_text text NOT NULL default '',
  comments_edit varchar(200) NOT NULL default '',
  PRIMARY KEY (comments_id)
){engine};

CREATE TABLE {pre}_computers (
  computers_id {serial},
  users_id int(8) NOT NULL default '0',
  computers_since varchar(14) NOT NULL default '',
	computers_name varchar(40) NOT NULL default '',
	computers_software varchar(40) NOT NULL default '',
  computers_mainboard varchar(80) NOT NULL default '',
  computers_memory text NOT NULL default '',
  computers_processors text NOT NULL default '',
  computers_graphics text NOT NULL default '',
  computers_sounds text NOT NULL default '',
  computers_harddisks text NOT NULL default '',
  computers_drives text NOT NULL default '',
  computers_screens text NOT NULL default '',
  computers_interfaces text NOT NULL default '',
  computers_networks text NOT NULL default '',
  computers_more text NOT NULL default '',
  computers_pictures text NOT NULL default '',
  PRIMARY KEY (computers_id)
){engine};

CREATE TABLE {pre}_count (
  count_id {serial},
  count_time varchar(14) NOT NULL default '',
  count_ip varchar(40) NOT NULL default '',
  count_data text NOT NULL default '',
  count_location varchar(80) NOT NULL default '',
  PRIMARY KEY (count_id)
){engine};

CREATE TABLE {pre}_events (
  events_id {serial},
  categories_id int(8) NOT NULL default '0',
	events_name varchar(40) NOT NULL default '',
  events_url varchar(80) NOT NULL default '',
  events_time varchar(14) NOT NULL default '',
  events_more text NOT NULL default '',
  PRIMARY KEY (events_id)
){engine};

CREATE TABLE {pre}_faq (
  faq_id {serial},
  users_id int(8) NOT NULL default '0',
  categories_id int(8) NOT NULL default '0',
  faq_time varchar(14) default NULL,
  faq_question text NOT NULL default '',
  faq_answer text NOT NULL default '',
  PRIMARY KEY (faq_id)
){engine};

CREATE TABLE {pre}_fightus (
  fightus_id {serial},
  categories_id int(8) NOT NULL default '0',
  games_id int(8) NOT NULL default '0',
  squads_id int(8) NOT NULL default '0',
  fightus_since varchar(14) NOT NULL default '',
  fightus_nick varchar(40) NOT NULL default '',
  fightus_icq int(12) NOT NULL default '0',
  fightus_msn varchar(40) NOT NULL default '',
  fightus_email varchar(40) NOT NULL default '',
  fightus_clan varchar(200) NOT NULL default '',
  fightus_short varchar(20) NOT NULL default '',
  fightus_country varchar(4) NOT NULL default '',
  fightus_url varchar(80) NOT NULL default '',
  fightus_date varchar(14) NOT NULL default '',
  fightus_more text NOT NULL default '',
  PRIMARY KEY (fightus_id)
){engine};

CREATE TABLE {pre}_files (
  files_id {serial},
  users_id int(8) NOT NULL default '0',
  categories_id int(8) NOT NULL default '0',
  files_name varchar(80) NOT NULL default '',
  files_description text NOT NULL default '',
  files_time varchar(14) NOT NULL default '',
  files_count int(12) NOT NULL default '0',
  files_vote int(2) NOT NULL default '0',
  files_close varchar(8) NOT NULL default '',
  files_access int(8) NOT NULL default '0',
  files_mirror text NOT NULL default '',
  files_size int(20) NOT NULL default '0',
  files_version varchar(20) NOT NULL default '',
  files_previews varchar(200) NOT NULL default '',
  files_error int(2) NOT NULL default '0',
  PRIMARY KEY (files_id)
){engine};

CREATE TABLE {pre}_gallery (
  gallery_id {serial},
  categories_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  gallery_name varchar(80) NOT NULL default '',
  gallery_titel varchar(40) NOT NULL default '',
  gallery_access int(8) NOT NULL default '0',
  gallery_status int(2) NOT NULL default '0',
  gallery_description text NOT NULL default '',
  gallery_time varchar(14) NOT NULL default '0',
  gallery_count int(8) NOT NULL default '0',
  gallery_count_downloads int(8) NOT NULL default '0',
  gallery_count_cards int(8) NOT NULL default '0',
  gallery_vote int(2) NOT NULL default '0',
  gallery_download varchar(9) NOT NULL default '0',
  gallery_watermark varchar(20) NOT NULL default '',
  gallery_watermark_pos varchar(10) NOT NULL default '',
	gallery_close int(2) NOT NULL default '0',
  PRIMARY KEY (gallery_id)
){engine};

CREATE TABLE {pre}_games (
  games_id {serial},
  categories_id int(8) NOT NULL default '0',
  games_name varchar(80) NOT NULL default '',
  games_version varchar(20) NOT NULL default '',
  games_released varchar(14) NOT NULL default '',
  games_creator varchar(80) NOT NULL default '',
  games_url varchar(80) NOT NULL default '',
  games_usk varchar(20) NOT NULL default '',
  PRIMARY KEY (games_id),
  UNIQUE (games_name)
){engine};

CREATE TABLE {pre}_gbook (
  gbook_id {serial},
  users_id int(8) NOT NULL default '0',
  gbook_users_id int(8) NOT NULL default '0',
  gbook_time varchar(14) default NULL,
  gbook_nick varchar(20) NOT NULL default '',
  gbook_email varchar(40) NOT NULL default '',
  gbook_icq varchar(20) NOT NULL default '',
  gbook_msn varchar(40) NOT NULL default '',
  gbook_skype varchar(40) NOT NULL default '',
  gbook_url varchar(40) NOT NULL default '',
  gbook_town varchar(20) NOT NULL default '',
  gbook_text text NOT NULL default '',
  gbook_ip varchar(20) NOT NULL default '',
  PRIMARY KEY (gbook_id)
){engine};

CREATE TABLE {pre}_history (
  history_id {serial},
  users_id int(8) NOT NULL default '0',
  history_text text NOT NULL default '',
  history_time varchar(14) default NULL,
  PRIMARY KEY (history_id)
){engine};

CREATE TABLE {pre}_joinus (
  joinus_id {serial},
  games_id int(8) NOT NULL default '0',
  squads_id int(8) NOT NULL default '0',
  joinus_since varchar(14) NOT NULL default '',
  joinus_nick varchar(40) NOT NULL default '',
  joinus_name varchar(80) NOT NULL default '',
  joinus_surname varchar(80) NOT NULL default '',
  joinus_age varchar(14) NOT NULL default '',
  joinus_country varchar(4) NOT NULL default '',
  joinus_place varchar(40) NOT NULL default '',
  joinus_icq int(12) NOT NULL default '0',
  joinus_msn varchar(40) NOT NULL default '',
  joinus_email varchar(40) NOT NULL default '',
  joinus_webcon varchar(80) NOT NULL default '',
  joinus_lanact varchar(80) NOT NULL default '',
  joinus_date varchar(14) NOT NULL default '',
  joinus_more text NOT NULL default '',
  PRIMARY KEY (joinus_id)
){engine};

CREATE TABLE {pre}_links (
  links_id {serial},
  categories_id int(8) NOT NULL default '0',
  links_name varchar(200) NOT NULL default '',
  links_url varchar(200) NOT NULL default '',
  links_info text NOT NULL default '',
  links_stats varchar(4) NOT NULL default '0',
	links_sponsor int(2) NOT NULL default '0',
  links_banner varchar(40) NOT NULL default '',
  PRIMARY KEY (links_id)
){engine};

CREATE TABLE {pre}_linkus (
  linkus_id {serial},
  linkus_name varchar(200) NOT NULL default '',
  linkus_url varchar(200) NOT NULL default '',
  linkus_banner varchar(40) NOT NULL default '',
  PRIMARY KEY (linkus_id)
){engine};

CREATE TABLE {pre}_mail (
  mail_id {serial},
  categories_id int(8) NOT NULL default '0',	
  mail_name varchar(200) NOT NULL default '',
  mail_time varchar(14) default NULL,
  mail_ip varchar(40) NOT NULL default '',
  mail_email varchar(80) NOT NULL default '',
  mail_icq int(12) NOT NULL default '0',
  mail_firm varchar(200) NOT NULL default '',
  mail_subject varchar(200) NOT NULL default '',
  mail_message text NOT NULL default '',
  PRIMARY KEY (mail_id)
){engine};

CREATE TABLE {pre}_maps (
  maps_id {serial},
  games_id int(8) NOT NULL default '0',
  maps_name varchar(100) NOT NULL default '',
  maps_text text NOT NULL default '',
  maps_picture varchar(80) NOT NULL default '',
  PRIMARY KEY (maps_id)
){engine};

CREATE TABLE {pre}_members (
  members_id {serial},
  squads_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  members_task varchar(80) NOT NULL default '',
  members_order int(4) NOT NULL default '0',
  members_since varchar(14) NOT NULL default '',
	members_admin int(2) NOT NULL default '0',
  PRIMARY KEY (members_id),
  UNIQUE (squads_id,users_id)
){engine};

CREATE TABLE {pre}_messages (
  messages_id {serial},
  users_id int(8) NOT NULL default '0',
  users_id_to int(8) NOT NULL default '0',
  messages_time varchar(14) NOT NULL default '',
  messages_subject varchar(80) NOT NULL default '',
  messages_text text NOT NULL default '',
  messages_view int(2) NOT NULL default '0',
  messages_archiv_receiver int(2) NOT NULL default '0',
  messages_archiv_sender int(2) NOT NULL default '0',
  messages_show_receiver int(2) NOT NULL default '0',
  messages_show_sender int(2) NOT NULL default '0',
  PRIMARY KEY (messages_id)
){engine};

CREATE TABLE {pre}_news (
  news_id {serial},
  categories_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  news_time varchar(14) default NULL,
  news_headline varchar(80) NOT NULL default '',
  news_text text NOT NULL default '',
	news_close int(2) NOT NULL default '0',
	news_public int(2) NOT NULL default '0',
	news_attached int(2) NOT NULL default '0',
  news_pictures text NOT NULL default '',
  PRIMARY KEY (news_id)
){engine};

CREATE TABLE {pre}_newsletter (
  newsletter_id {serial},
  users_id int(8) NOT NULL default '0',
  newsletter_to varchar(200) NOT NULL default '',
  newsletter_subject varchar(200) NOT NULL default '',
  newsletter_text text NOT NULL default '',
  newsletter_time varchar(200) NOT NULL default '',
  PRIMARY KEY (newsletter_id)
){engine};

CREATE TABLE {pre}_options (
  options_id {serial},
  options_mod varchar(40) NOT NULL default '',
  options_name varchar(40) NOT NULL default '',
  options_value varchar(80) NOT NULL default '',
  PRIMARY KEY (options_id),
  UNIQUE (options_mod,options_name)
){engine};

INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_lang', '{def_lang}');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_tpl', 'apple');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_width', '90%');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_title', 'BXCP');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_mod', 'news');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_action', 'recent');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_path', '');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_timezone', '');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_dstime', '');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_org', 'yourdomain.com');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_mail', 'noreply@yourdomain.com');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_flood', '300');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'img_path', 'crystal_clear');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'img_ext', 'png');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_admin', '');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('abcode', 'max_width', '300');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('abcode', 'max_height', '300');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('abcode', 'max_size', '51200');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('abcode', 'def_func', '');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('banners', 'max_width', '100');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('banners', 'max_height', '100');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('banners', 'max_size', '51200');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('banners', 'def_order', '1');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('categories', 'max_width', '150');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('categories', 'max_height', '150');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('categories', 'max_size', '51200');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('categories', 'def_mod', 'news');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('computers', 'max_width', '800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('computers', 'max_height', '600');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('computers', 'max_size', '204800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'cols', '3');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'rows', '4');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'xpics', '5');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'thumbs', '100');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'quality', '80');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'width', '2000');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'height', '2000');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'size', '1022976');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'max_width', '400');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'top_5_votes', '0');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'top_5_views', '0');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'newest_5', '1');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('gallery', 'list_sort', '');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('messages', 'max_space', '20');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('messages', 'del_time', '10');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('board', 'max_text', '1000');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('board', 'max_signatur', '200');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('board', 'avatar_height', '100');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('board', 'avatar_width', '100');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('board', 'avatar_size', '102400');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('board', 'file_size', '204800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('board', 'file_types', 'jpg,jpeg,gif,png,txt,pdf');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('squads', 'max_width', '250');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('squads', 'max_height', '100');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('squads', 'max_size', '76800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('squads', 'def_order', '1');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('users', 'max_width', '140');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('users', 'max_height', '170');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('users', 'max_size', '51200');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('wars', 'max_width', '800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('wars', 'max_height', '600');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('wars', 'max_size', '204800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('news', 'max_width', '800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('news', 'max_height', '600');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('news', 'max_size', '204800');

CREATE TABLE {pre}_players (
  players_id {serial},
  users_id int(8) NOT NULL DEFAULT '0',
  wars_id int(8) NOT NULL DEFAULT '0',
  players_status varchar(20) NOT NULL DEFAULT '',
  players_played int(2) NOT NULL DEFAULT '0',
  players_time varchar(14) NOT NULL DEFAULT '',
  PRIMARY KEY (players_id)
){engine};

CREATE TABLE {pre}_quotes (
  quotes_id {serial},
  categories_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  quotes_quote text NOT NULL default '',
  quotes_time varchar(14) NOT NULL default '',
  PRIMARY KEY (quotes_id)
){engine};

CREATE TABLE {pre}_ranks (
  ranks_id {serial},
	ranks_name varchar(80) NOT NULL default '',
  ranks_url varchar(80) NOT NULL default '',
  ranks_img varchar(80) NOT NULL default '',
  ranks_code text NOT NULL default '',
  PRIMARY KEY (ranks_id)
){engine};

CREATE TABLE {pre}_read (
  read_id {serial},
  threads_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  read_since varchar(14) NOT NULL default '',
  PRIMARY KEY (read_id),
  UNIQUE (threads_id,users_id)
){engine};

CREATE TABLE {pre}_replays (
  replays_id {serial},
  categories_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  games_id int(8) NOT NULL default '0',
  replays_version varchar(40) NOT NULL default '',
  replays_date varchar(14) NOT NULL default '',
  replays_since varchar(14) NOT NULL default '',
	replays_team1 varchar(80) NOT NULL default '',
  replays_team2 varchar(80) NOT NULL default '',
	replays_map varchar(80) NOT NULL default '',
  replays_mirrors text NOT NULL default '',
  replays_info text NOT NULL default '',
	replays_close int(2) NOT NULL default '0',
  PRIMARY KEY (replays_id)
){engine};

CREATE TABLE {pre}_rounds (
  rounds_id {serial},
  wars_id int(8) NOT NULL default '0',
  maps_id int(8) NOT NULL default '0',
  rounds_score1 int(6) NOT NULL default '0',
  rounds_score2 int(6) NOT NULL default '0',
  rounds_description varchar(80) NOT NULL default '',
  PRIMARY KEY (rounds_id)
){engine};

CREATE TABLE {pre}_rules (
  rules_id {serial},
  categories_id int(8) NOT NULL default '0',
  rules_order varchar(80) NOT NULL default '',
  rules_rule text NOT NULL default '',
  PRIMARY KEY (rules_id)
){engine};

CREATE TABLE {pre}_servers (
  servers_id {serial},
  games_id int(8) NOT NULL default '0',
  servers_name text NOT NULL default '',
  servers_ip varchar(40) NOT NULL default '',
  servers_port int(20) NOT NULL default '0',
  servers_pw varchar(80) NOT NULL default '',
  servers_slots int(8) NOT NULL default '0',
  servers_tools text NOT NULL default '',
  servers_info text NOT NULL default '',
  servers_gamestat varchar(80) NOT NULL default '',
  servers_query int(20) NOT NULL default '0',
  servers_stats int(2) NOT NULL default '0',
  PRIMARY KEY (servers_id)
){engine};

CREATE TABLE {pre}_shoutbox (
	shoutbox_id {serial},
	shoutbox_name varchar(80) NOT NULL default '',
	shoutbox_text text NOT NULL default '',
	shoutbox_date varchar(14) NOT NULL default '',
	shoutbox_ip varchar(20) NOT NULL default '',
	PRIMARY KEY (shoutbox_id)
){engine};

CREATE TABLE {pre}_squads (
  squads_id {serial},
  clans_id int(8) NOT NULL default '0',
  games_id int(8) NOT NULL default '0',
  squads_name varchar(80) NOT NULL default '',
  squads_picture varchar(80) NOT NULL default '',
  squads_order int(4) NOT NULL default '0',
	squads_pwd varchar(40) NOT NULL default '',
  PRIMARY KEY (squads_id),
  UNIQUE (squads_name)
){engine};

CREATE TABLE {pre}_threads (
  threads_id {serial},
  board_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  threads_headline varchar(200) NOT NULL default '',
  threads_text text NOT NULL default '',
  threads_time varchar(14) NOT NULL default '0',
  threads_view int(8) NOT NULL default '0',
  threads_important int(2) NOT NULL default '0',
  threads_close int(2) NOT NULL default '0',
  threads_edit varchar(200) NOT NULL default '',
  threads_last_user int(8) NOT NULL default '0',
  threads_last_time varchar(14) NOT NULL default '0',
	threads_comments int(8) NOT NULL default '0',
  PRIMARY KEY (threads_id)
){engine};

CREATE TABLE {pre}_users (
  users_id {serial},
  access_id int(8) NOT NULL default '0',
  users_nick varchar(40) NOT NULL default '',
  users_pwd varchar(40) NOT NULL default '',
  users_name varchar(80) NOT NULL default '',
  users_surname varchar(80) NOT NULL default '',
  users_sex varchar(8) NOT NULL default '',
  users_age varchar(14) NOT NULL default '',
  users_height int(4) NOT NULL default '0',
  users_lang varchar(40) NOT NULL default '',
  users_country varchar(4) NOT NULL default '',
  users_postalcode varchar(8) NOT NULL default '',
  users_place varchar(40) NOT NULL default '',
  users_adress varchar(80) NOT NULL default '',
  users_icq int(12) NOT NULL default '0',
  users_msn varchar(40) NOT NULL default '',
	users_skype varchar(40) NOT NULL default '',
  users_email varchar(40) NOT NULL default '',
  users_url varchar(80) NOT NULL default '',
  users_phone varchar(40) NOT NULL default '',
  users_mobile varchar(40) NOT NULL default '',
  users_private int(2) NOT NULL default '0',
  users_active int(2) NOT NULL default '0',
  users_limit int(4) NOT NULL default '20',
	users_view varchar(20) default NULL,
  users_register varchar(14) default NULL,
  users_laston varchar(14) default NULL,
  users_picture varchar(80) NOT NULL default '',
	users_avatar varchar(80) NOT NULL default '',
	users_signature text NOT NULL default '',
  users_info text NOT NULL default '',
  users_timezone int(8) NOT NULL default '0',
  users_dstime int(2) NOT NULL default '0',
  PRIMARY KEY (users_id),
  UNIQUE (users_nick),
  UNIQUE (users_email)
){engine};

INSERT INTO {pre}_users (access_id, users_nick, users_pwd, users_name, users_surname, users_sex, users_age, users_height, users_lang, users_country, users_postalcode, users_place, users_adress, users_icq, users_msn, users_skype, users_email, users_url, users_phone, users_mobile, users_private, users_active, users_limit, users_view, users_register, users_laston, users_picture, users_avatar, users_signature, users_info, users_timezone, users_dstime) VALUES (5, 'admin', '{pwd}', '', '', '', '', 0, '{def_lang}', 'fam', '', '', '', 0, '', '', '', '', '', '', 0, 1, 20, '', '{time}', '{time}', '', '', '', '', 0, 0);

CREATE TABLE {pre}_voted (
  voted_id {serial},
  users_id int(8) NOT NULL default '0',
  voted_fid int(8) NOT NULL default '0',
  voted_time varchar(14) NOT NULL default '',
  voted_ip varchar(40) NOT NULL default '',
  voted_answer int(8) NOT NULL default '0',
  voted_mod varchar(80) NOT NULL default '',
  PRIMARY KEY (voted_id)
){engine};

CREATE TABLE {pre}_votes (
  votes_id {serial},
  users_id int(8) NOT NULL default '0',
  votes_access int(8) NOT NULL default '0',
  votes_time varchar(14) NOT NULL default '',
  votes_start varchar(14) NOT NULL default '',
  votes_end varchar(14) NOT NULL default '',
  votes_question text NOT NULL default '',
  votes_election text NOT NULL default '',
	votes_close int(2) NOT NULL default '0',
  PRIMARY KEY (votes_id)
){engine};

CREATE TABLE {pre}_wars (
  wars_id {serial},
  games_id int(8) NOT NULL default '0',
  categories_id int(8) NOT NULL default '0',
  clans_id int(8) NOT NULL default '0',
  squads_id int(8) NOT NULL default '0',
  wars_date varchar(14) NOT NULL default '',
	wars_status varchar(20) NOT NULL default '',
  wars_score1 int(6) NOT NULL default '0',
  wars_score2 int(6) NOT NULL default '0',
  wars_url varchar(80) NOT NULL default '',
  wars_rounds text NOT NULL default '',
  wars_report text NOT NULL default '',
	wars_close int(2) NOT NULL default '0',
  wars_pictures text NOT NULL default '',
  PRIMARY KEY (wars_id)
){engine};

CREATE INDEX {pre}_abonements_users_id_index ON {pre}_abonements (users_id);
CREATE INDEX {pre}_abonements_threads_id_index ON {pre}_abonements (threads_id);
CREATE INDEX {pre}_articles_users_id_index ON {pre}_articles (users_id);
CREATE INDEX {pre}_articles_categories_id_index ON {pre}_articles (categories_id);
CREATE INDEX {pre}_autoresponder_users_id_index ON {pre}_autoresponder (users_id);
CREATE INDEX {pre}_awards_users_id_index ON {pre}_awards (users_id);
CREATE INDEX {pre}_awards_games_id_index ON {pre}_awards (games_id);
CREATE INDEX {pre}_board_users_id_index ON {pre}_board (users_id);
CREATE INDEX {pre}_board_categories_id_index ON {pre}_board (categories_id);
CREATE INDEX {pre}_boardfiles_threads_id_index ON {pre}_boardfiles (threads_id);
CREATE INDEX {pre}_boardfiles_comments_id_index ON {pre}_boardfiles (comments_id);
CREATE INDEX {pre}_boardfiles_users_id_index ON {pre}_boardfiles (users_id);
CREATE INDEX {pre}_boardmods_users_id_index ON {pre}_boardmods (users_id);
CREATE INDEX {pre}_boardpws_board_id_index ON {pre}_boardpws (board_id);
CREATE INDEX {pre}_boardpws_users_id_index ON {pre}_boardpws (users_id);
CREATE INDEX {pre}_boardvotes_threads_id_index ON {pre}_boardvotes (threads_id);
CREATE INDEX {pre}_boardvotes_users_id_index ON {pre}_boardvotes (users_id);
CREATE INDEX {pre}_buddys_users_id_index ON {pre}_buddys (users_id);
CREATE INDEX {pre}_buddys_buddys_user_index ON {pre}_buddys (buddys_user);
CREATE INDEX {pre}_comments_users_id_index ON {pre}_comments (users_id);
CREATE INDEX {pre}_comments_comments_fid_index ON {pre}_comments (comments_fid);
CREATE INDEX {pre}_computers_users_id_index ON {pre}_computers (users_id);
CREATE INDEX {pre}_events_categories_id_index ON {pre}_events (categories_id);
CREATE INDEX {pre}_faq_users_id_index ON {pre}_faq (users_id);
CREATE INDEX {pre}_faq_categories_id_index ON {pre}_faq (categories_id);
CREATE INDEX {pre}_fightus_categories_id_index ON {pre}_fightus (categories_id);
CREATE INDEX {pre}_fightus_games_id_index ON {pre}_fightus (games_id);
CREATE INDEX {pre}_fightus_squads_id_index ON {pre}_fightus (squads_id);
CREATE INDEX {pre}_files_users_id_index ON {pre}_files (users_id);
CREATE INDEX {pre}_files_categories_id_index ON {pre}_files (categories_id);
CREATE INDEX {pre}_gallery_categories_id_index ON {pre}_gallery (categories_id);
CREATE INDEX {pre}_gallery_users_id_index ON {pre}_gallery (users_id);
CREATE INDEX {pre}_games_categories_id_index ON {pre}_games (categories_id);
CREATE INDEX {pre}_gbook_users_id_index ON {pre}_gbook (users_id);
CREATE INDEX {pre}_gbook_gbook_users_id_index ON {pre}_gbook (gbook_users_id);
CREATE INDEX {pre}_history_users_id_index ON {pre}_history (users_id);
CREATE INDEX {pre}_joinus_squads_id_index ON {pre}_joinus (squads_id);
CREATE INDEX {pre}_joinus_games_id_index ON {pre}_joinus (games_id);
CREATE INDEX {pre}_links_categories_id_index ON {pre}_links (categories_id);
CREATE INDEX {pre}_mail_categories_id_index ON {pre}_mail (categories_id);
CREATE INDEX {pre}_maps_games_id_index ON {pre}_maps (games_id);
CREATE INDEX {pre}_members_squads_id_index ON {pre}_members (squads_id);
CREATE INDEX {pre}_members_users_id_index ON {pre}_members (users_id);
CREATE INDEX {pre}_messages_users_id_index ON {pre}_messages (users_id);
CREATE INDEX {pre}_messages_users_id_to_index ON {pre}_messages (users_id_to);
CREATE INDEX {pre}_news_categories_id_index ON {pre}_news (categories_id);
CREATE INDEX {pre}_news_users_id_index ON {pre}_news (users_id);
CREATE INDEX {pre}_newsletter_users_id_index ON {pre}_newsletter (users_id);
CREATE INDEX {pre}_quotes_categories_id_index ON {pre}_quotes (categories_id);
CREATE INDEX {pre}_quotes_users_id_index ON {pre}_quotes (users_id);
CREATE INDEX {pre}_read_threads_id_index ON {pre}_read (threads_id);
CREATE INDEX {pre}_read_users_id_index ON {pre}_read (users_id);
CREATE INDEX {pre}_replays_categories_id_index ON {pre}_replays (categories_id);
CREATE INDEX {pre}_replays_games_id_index ON {pre}_replays (games_id);
CREATE INDEX {pre}_replays_users_id_index ON {pre}_replays (users_id);
CREATE INDEX {pre}_rounds_wars_id_index ON {pre}_rounds (wars_id);
CREATE INDEX {pre}_rounds_maps_id_index ON {pre}_rounds (maps_id);
CREATE INDEX {pre}_rules_categories_id_index ON {pre}_rules (categories_id);
CREATE INDEX {pre}_servers_games_id_index ON {pre}_servers (games_id);
CREATE INDEX {pre}_squads_clans_id_index ON {pre}_squads (clans_id);
CREATE INDEX {pre}_squads_games_id_index ON {pre}_squads (games_id);
CREATE INDEX {pre}_threads_board_id_index ON {pre}_threads (board_id);
CREATE INDEX {pre}_threads_users_id_index ON {pre}_threads (users_id);
CREATE INDEX {pre}_users_access_id_index ON {pre}_users (access_id);
CREATE INDEX {pre}_voted_users_id_index ON {pre}_voted (users_id);
CREATE INDEX {pre}_voted_voted_fid_index ON {pre}_voted (voted_fid);
CREATE INDEX {pre}_votes_users_id_index ON {pre}_votes (users_id);
CREATE INDEX {pre}_wars_games_id_index ON {pre}_wars (games_id);
CREATE INDEX {pre}_wars_categories_id_index ON {pre}_wars (categories_id);
CREATE INDEX {pre}_wars_squads_id_index ON {pre}_wars (squads_id);
CREATE INDEX {pre}_wars_clans_id_index ON {pre}_wars (clans_id);