<?php
// bx clanportal - www.bxcp.com
// $Id: mssql.php 203 2006-08-13 16:22:31Z hajo $

function bx_sql_connect($bx_db) {

	$connect = @mssql_connect($bx_db['place'],$bx_db['user'],$bx_db['pwd']) OR 
		bx_error_sql(__FILE__, 'mssql_connect', mssql_get_last_message(),1);

	mssql_select_db($bx_db['name']) OR 
		bx_error_sql(__FILE__, 'mssql_select_db', mssql_get_last_message(),1);
	return $connect;
}

function bx_sql_count($bx_file,$sql_table,$sql_where = 0) {

	global $bx_db;
	$sql_query = 'SELECT COUNT(*) FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	$sql_query .= empty($sql_where) ? '' : ' WHERE ' . $sql_where;
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
  bx_log_sql($sql_query);
	$sql_data = mssql_query($sql_query, $bx_db['con']) OR 
		bx_error_sql($bx_file, 'bx_sql_count', mssql_get_last_message());
	$sql_result = mssql_fetch_row($sql_data);
	mssql_free_result($sql_data);
	return $sql_result[0];
}

function bx_sql_delete($bx_file,$sql_table,$sql_id,$sql_field = 0) {

  global $bx_db;
  settype($sql_id,'integer');
  if(empty($sql_field)) {
    $sql_field = $sql_table . '_id';
  }
	$sql_delete = 'DELETE FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	$sql_delete .= ' WHERE ' . $sql_field . ' = ' . $sql_id;
	mssql_query($sql_delete, $bx_db['con']) OR 
		bx_error_sql($bx_file, 'bx_sql_delete', mssql_get_last_message());
  bx_log_sql($sql_delete,1);
}

function bx_sql_escape($string) {

	return str_replace("'","''",$string);
}

function bx_sql_insert($bx_file,$sql_table,$sql_cells,$sql_content) {

	global $bx_db;
  $max = count($sql_cells);
  $set = " (";
  for($run=0; $run<$max; $run++) {
    $set .= $sql_cells[$run];
    if($run != $max - 1) { $set .= ","; }
  }
  $set .= ") VALUES ('";
  for($run=0; $run<$max; $run++) {
    $set .= str_replace("'","''",$sql_content[$run]);
    if($run != $max - 1) { $set .= "','"; }
  }
  $set .= "')";
  
	$sql_insert = 'INSERT INTO ' . $bx_db['prefix'] . '_' . $sql_table . $set;
	mssql_query($sql_insert, $bx_db['con']) OR 
		bx_error_sql($bx_file, 'bx_sql_insert', mssql_get_last_message());
  bx_log_sql($sql_insert);
}

function bx_sql_insertid($bx_file) {

	global $bx_db;
	$sql_query = 'SELECT @@IDENTITY';
	$sql_data = mssql_query($sql_query, $bx_db['con']) OR 
		bx_error_sql($bx_file, 'bx_sql_insertid', mssql_get_last_message());
	$new_result = mssql_fetch_row($sql_data);
	mssql_free_result($sql_data);
  bx_log_sql($sql_query);
	return $new_result[0];
}

function bx_sql_option($bx_file,$mod) {

	global $bx_db;
  $sql_query = 'SELECT * FROM  ' . $bx_db['prefix'] . '_' . 'options';
  $sql_query .= " WHERE options_mod='" . $mod . "'";
  $sql_data = mssql_query($sql_query, $bx_db['con']) OR 
		bx_error_sql($bx_file, 'bx_sql_option', mssql_get_last_message());
  while($sql_result = mssql_fetch_assoc($sql_data)) {
		$name = $sql_result['options_name'];
    $new_result[$name] = $sql_result['options_value'];
	}
	mssql_free_result($sql_data);
  bx_log_sql($sql_query);
	if(!empty($new_result)) {
		return $new_result;
	}
}

function bx_sql_query($bx_file,$sql_query) {

	global $bx_db;
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
	bx_log_sql($sql_query);
	if(mssql_query($sql_query, $bx_db['con'])) {
		return array('affected_rows' => mssql_rows_affected($bx_db['con']));
	}
	else { 
		bx_error_sql($bx_file, 'bx_sql_query', mssql_get_last_message());
		return FALSE;
	}
}

function bx_sql_select($bx_file,$sql_table,$sql_select,$sql_where = 0,$sql_order = 0,$first = 0,$max = 1) {

	global $bx_db;
	settype($first,'integer');
	settype($max,'integer');
  $run = 0;
  if(!empty($max)) {
    $sql_select = ' TOP ' . $max . ' ' . $sql_select;
  	if(!empty($first)) {
			$cell = explode(' ',$sql_table);
			$same_qry = ' ' . $cell[0] . '_id FROM ' . $bx_db['prefix'] . '_' . $sql_table;
			$same_qry .= empty($sql_where) ? '' : ' WHERE ' . $sql_where;
			$same_qry .= empty($sql_order) ? '' : ' ORDER BY ' . $sql_order;
			$sql_notin = '(' . $cell[0] . '_id NOT IN (SELECT TOP ' . $first . ' ' . $same_qry . '))';
			$sql_where = empty($sql_where) ? $sql_notin : $sql_notin . ' AND ';
		}
	}
	$sql_query = 'SELECT ' . $sql_select . ' FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	if(!empty($sql_where)) {
    $sql_query .= ' WHERE ' . $sql_where;
  }
  if(!empty($sql_order)) {
    $sql_query .= ' ORDER BY ' . $sql_order;
  }
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
  bx_log_sql($sql_query);
  $sql_data = mssql_query($sql_query, $bx_db['con']) OR 
		bx_error_sql($bx_file, 'bx_sql_select', mssql_get_last_message());
	if($max == 1) {
    $new_result = mssql_fetch_assoc($sql_data);
  }
  else {
    while($sql_result = mssql_fetch_assoc($sql_data)) {
		  $new_result[$run] = $sql_result;
		  $run++;
	  }
  }
	mssql_free_result($sql_data);
	if(!empty($new_result)) {
		return $new_result;
	}
}

function bx_sql_update($bx_file,$sql_table,$sql_cells,$sql_content,$sql_id,$sql_where = 0) {

	global $bx_db;
  settype($sql_id,'integer');
  $max = count($sql_cells);
  $set = ' SET ';
  for($run=0; $run<$max; $run++) {
    $set .= $sql_cells[$run] . "='" . str_replace("'","''",$sql_content[$run]);
    if($run != $max - 1) { $set .= "', "; }
  }
  $set .= "' ";
  
	$sql_update = 'UPDATE ' . $bx_db['prefix'] . '_' . $sql_table . $set . ' WHERE ';
  if(empty($sql_where)) { 
    $sql_update .= $sql_table . "_id='" . $sql_id . "'";
  }
  else {
    $sql_update .= $sql_where;
  }
	mssql_query($sql_update, $bx_db['con']) OR 
		bx_error_sql($bx_file, 'bx_sql_update', mssql_get_last_message());
		
	$action = 1;
  if($sql_cells[0] == 'users_laston' OR $sql_table == 'count') {
		$action = 0;
	}
	bx_log_sql($sql_update,$action);
}

function bx_sql_version($bx_file) {

	global $bx_db;
	$sql_infos['type'] = 'Microsoft SQL Server (mssql)';
	$sql_infos['host'] = '-';
	$sql_infos['client'] = '-';

  $sql_query = 'SELECT @@VERSION';
  $sql_data = mssql_query($sql_query, $bx_db['con']) OR 
		bx_error_sql($bx_file, 'bx_sql_version', mssql_get_last_message());
  $sql_result = mssql_fetch_row($sql_data);
	mssql_free_result($sql_data);
	preg_match('=\d+\.\d+\.\d+.\d+=',$sql_result[0],$matches,PREG_OFFSET_CAPTURE);
	$sql_infos['server'] = isset($matches[0][0]) ? $matches[0][0] : '--';
	return $sql_infos;
}

?>