<?php
// bx clanportal - www.bxcp.com
// $Id: pdo_pgsql.php 101 2006-07-12 09:36:29Z hajo $

function bx_sql_connect($bx_db) {

	$param = empty($bx_db['place']) ? '' : 'host=' . $bx_db['place'] . ';';
	$param .= 'dbname=' . $bx_db['name'];
	try {
		$connect = new PDO('pgsql:' . $param, $bx_db['user'], $bx_db['pwd']);
		return $connect;
	}
	catch(PDOException $error) {
		bx_error_sql(__FILE__, 'bx_sql_connect', $error->getMessage(),1);
	}
}

function bx_sql_count($bx_file,$sql_table,$sql_where = 0) {

	global $bx_db;
	$sql_query = 'SELECT COUNT(*) FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	$sql_query .= empty($sql_where) ? '' : ' WHERE ' . $sql_where;
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
  bx_log_sql($sql_query);
	if($sql_data = $bx_db['con']->query($sql_query, PDO::FETCH_NUM)) {
		$sql_result = $sql_data->fetch();
		$sql_data = NULL;
		return $sql_result[0];
	}
	else {
		$error = $bx_db['con']->errorInfo();
		bx_error_sql($bx_file, 'bx_sql_count', $error[2]);
	}
}

function bx_sql_delete($bx_file,$sql_table,$sql_id,$sql_field = 0) {

  global $bx_db;
  settype($sql_id,'integer');
  if(empty($sql_field)) {
    $sql_field = $sql_table . '_id';
  }
	$sql_delete = 'DELETE FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	$sql_delete .= ' WHERE ' . $sql_field . ' = ' . $sql_id;
	bx_log_sql($sql_delete,1);
	if(!$bx_db['con']->query($sql_delete)) {
		$error = $bx_db['con']->errorInfo();
		bx_error_sql($bx_file, 'bx_sql_delete', $error[2]);
	}
}

function bx_sql_escape($string) {

	global $bx_db;
	$string = $bx_db['con']->quote($string);
	return substr($string,1,-1);
}

function bx_sql_insert($bx_file,$sql_table,$sql_cells,$sql_content) {

	global $bx_db;
  $max = count($sql_cells);
  $set = " (";
  for($run=0; $run<$max; $run++) {
    $set .= $sql_cells[$run];
    if($run != $max - 1) { $set .= ","; }
  }
  $set .= ") VALUES (";
  for($run=0; $run<$max; $run++) {
    $set .= $bx_db['con']->quote($sql_content[$run]);
    if($run != $max - 1) { $set .= ','; }
  }
  $set .= ')';

	$sql_insert = 'INSERT INTO ' . $bx_db['prefix'] . '_' . $sql_table . $set;
	bx_log_sql($sql_insert,1);
	if(!$bx_db['con']->query($sql_insert)) {
		$error = $bx_db['con']->errorInfo();
		bx_error_sql($bx_file, 'bx_sql_insert', $error[2]);
	}
}

function bx_sql_insertid($bx_file) {

	global $bx_db;
	$sql_query = 'SELECT LASTVAL()';
  bx_log_sql($sql_query);
	if($sql_data = $bx_db['con']->query($sql_query, PDO::FETCH_NUM)) {
		$sql_result = $sql_data->fetch();
		$sql_data = NULL;
		return $sql_result[0];
	}
	else {
		$error = $bx_db['con']->errorInfo();
		bx_error_sql($bx_file, 'bx_sql_insertid', $error[2]);
	}
}

function bx_sql_option($bx_file,$mod) {

	global $bx_db;
  $sql_query = 'SELECT * FROM  ' . $bx_db['prefix'] . '_' . 'options';
  $sql_query .= " WHERE options_mod='" . $mod . "'";
  bx_log_sql($sql_query);
	if($sql_data = $bx_db['con']->query($sql_query, PDO::FETCH_ASSOC)) {
  	while($sql_result = $sql_data->fetch()) {
			$name = $sql_result['options_name'];
    	$new_result[$name] = $sql_result['options_value'];
		}
		$sql_data = NULL;
		if(!empty($new_result)) {
			return $new_result;
		}
	}
	else {
		$error = $bx_db['con']->errorInfo();
		bx_error_sql($bx_file, 'bx_sql_option', $error[2]);
	}
}

function bx_sql_query($bx_file,$sql_query) {

	global $bx_db;
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
	bx_log_sql($sql_query);
	if($sql_data = $bx_db['con']->query($sql_query)) {
		return array('affected_rows' => $sql_data->rowCount());
	}
	else {
		$error = $bx_db['con']->errorInfo();
		bx_error_sql($bx_file, 'bx_sql_query', $error[2]);
		return FALSE;
	}
}

function bx_sql_select($bx_file,$sql_table,$sql_select,$sql_where = 0,$sql_order = 0,$first = 0,$max = 1) {

	global $bx_db;
	settype($first,'integer');
	settype($max,'integer');
  $run = 0;
	$sql_query = 'SELECT ' . $sql_select . ' FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	if(!empty($sql_where)) {
    $sql_query .= ' WHERE ' . $sql_where;
  }
  if(!empty($sql_order)) {
    $sql_query .= ' ORDER BY ' . $sql_order;
  }
  if(!empty($max)) {
    $sql_query .= ' LIMIT ' . $max . ' OFFSET ' . $first;
  }
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
  bx_log_sql($sql_query);
	if($sql_data = $bx_db['con']->query($sql_query)) {
		$new_result = $max == 1 ? $sql_data->fetch() : $sql_data->fetchAll(PDO::FETCH_ASSOC);
		$sql_data = NULL;
		if(!empty($new_result)) {
			return $new_result;
		}
	}
	else {
		$error = $bx_db['con']->errorInfo();
		bx_error_sql($bx_file, 'bx_sql_select', $error[2]);
	}
}

function bx_sql_update($bx_file,$sql_table,$sql_cells,$sql_content,$sql_id,$sql_where = 0) {

	global $bx_db;
  settype($sql_id,'integer');
  $max = count($sql_cells);
  $set = ' SET ';
  for($run=0; $run<$max; $run++) {
    $set .= $sql_cells[$run] . '=' . $bx_db['con']->quote($sql_content[$run]);
    if($run != $max - 1) { $set .= ', '; }
  }
  
	$sql_update = 'UPDATE ' . $bx_db['prefix'] . '_' . $sql_table . $set . ' WHERE ';
  if(empty($sql_where)) { 
    $sql_update .= $sql_table . "_id='" . $sql_id . "'";
  }
  else {
    $sql_update .= $sql_where;
  }
  $action = $sql_cells[0] == 'users_laston' OR $sql_table == 'count' ? 0 : 1;
  bx_log_sql($sql_update,$action);
	if(!$bx_db['con']->query($sql_update)) {
		$error = $bx_db['con']->errorInfo();
		bx_error_sql($bx_file, 'bx_sql_update', $error[2]);
	}
}

function bx_sql_version($bx_file) {

	global $bx_db;
	$sql_infos['type'] = 'PostgreSQL (pdo_pgsql)';
	$sql_infos['host'] = '-';
	$sql_infos['client'] = $bx_db['con']->getAttribute(PDO::ATTR_CLIENT_VERSION);
	$sql_infos['server'] = $bx_db['con']->getAttribute(PDO::ATTR_SERVER_VERSION);
	return $sql_infos;
}

?>