<?php
// bx clanportal - www.bxcp.com
// $Id: pgsql.php 101 2006-07-12 09:36:29Z hajo $

function bx_sql_connect($bx_db) {

	$pg_con = empty($bx_db['place']) ? '' : 'host=' . $bx_db['place'] . ' ';
	$pg_con .= 'dbname=' . $bx_db['name'];
	$pg_con .= ' user=' . $bx_db['user'] . ' password=' . $bx_db['pwd'];

	ini_set('track_errors', 1);
	$connect = @pg_connect($pg_con) OR bx_error_sql(__FILE__, 'pg_connect', $php_errormsg,1);
	ini_set('track_errors', 0);
	return $connect;
}

function bx_sql_count($bx_file,$sql_table,$sql_where = 0) {

	global $bx_db;
	$sql_query = 'SELECT COUNT(*) FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	$sql_query .= empty($sql_where) ? '' : ' WHERE ' . $sql_where;
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
  bx_log_sql($sql_query);
	$sql_data = pg_query($bx_db['con'], $sql_query) OR 
		bx_error_sql($bx_file, 'bx_sql_count', pg_last_error($bx_db['con']));
	$sql_result = pg_fetch_row($sql_data);
	pg_free_result($sql_data);
	return $sql_result[0];
}

function bx_sql_delete($bx_file,$sql_table,$sql_id,$sql_field = 0) {

  global $bx_db;
  settype($sql_id,'integer');
  if(empty($sql_field)) {
    $sql_field = $sql_table . '_id';
  }
	$sql_delete = 'DELETE FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	$sql_delete .= ' WHERE ' . $sql_field . ' = ' . $sql_id;
	pg_query($bx_db['con'], $sql_delete) OR 
		bx_error_sql($bx_file, 'bx_sql_delete', pg_last_error($bx_db['con']));
  bx_log_sql($sql_delete,1);
}

function bx_sql_escape($string) {

	return pg_escape_string($string);
}

function bx_sql_insert($bx_file,$sql_table,$sql_cells,$sql_content) {

	global $bx_db;
  $max = count($sql_cells);
  $set = " (";
  for($run=0; $run<$max; $run++) {
    $set .= $sql_cells[$run];
    if($run != $max - 1) { $set .= ","; }
  }
  $set .= ") VALUES ('";
  for($run=0; $run<$max; $run++) {
    $set .= pg_escape_string($sql_content[$run]);
    if($run != $max - 1) { $set .= "','"; }
  }
  $set .= "')";
  
	$sql_insert = 'INSERT INTO ' . $bx_db['prefix'] . '_' . $sql_table . $set;
	pg_query($bx_db['con'], $sql_insert) OR 
		bx_error_sql($bx_file, 'bx_sql_insert', pg_last_error($bx_db['con']));
  bx_log_sql($sql_insert);
}

function bx_sql_insertid($bx_file) {

	global $bx_db;
  $sql_query = 'SELECT LASTVAL()';
	bx_log_sql($sql_query);
  $sql_data = pg_query($bx_db['con'], $sql_query) OR 
		bx_error_sql($bx_file, 'bx_sql_insertid', pg_last_error($bx_db['con']));
  $result = pg_fetch_row($sql_data);
	pg_free_result($sql_data);
	return $result[0];
}

function bx_sql_option($bx_file,$mod) {

	global $bx_db;
  $sql_query = 'SELECT * FROM  ' . $bx_db['prefix'] . '_' . 'options';
  $sql_query .= " WHERE options_mod='" . $mod . "'";
  $sql_data = pg_query($bx_db['con'], $sql_query) OR 
		bx_error_sql($bx_file, 'bx_sql_option', pg_last_error($bx_db['con']));
  while($sql_result = pg_fetch_assoc($sql_data)) {
		$name = $sql_result['options_name'];
    $new_result[$name] = $sql_result['options_value'];
	}
	pg_free_result($sql_data);
  bx_log_sql($sql_query);
	if(!empty($new_result)) {
		return $new_result;
	}
}

function bx_sql_query($bx_file,$sql_query) {

	global $bx_db;
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
	bx_log_sql($sql_query);
	if($sql_data = pg_query($bx_db['con'], $sql_query)) {
		return array('affected_rows' => pg_affected_rows($sql_data));
	}
	else { 
		bx_error_sql($bx_file, 'bx_sql_query', pg_last_error($bx_db['con']));
		return FALSE;
	}
}

function bx_sql_select($bx_file,$sql_table,$sql_select,$sql_where = 0,$sql_order = 0,$first = 0,$max = 1) {

	global $bx_db;
	settype($first,'integer');
	settype($max,'integer');
  $run = 0;
	$sql_query = 'SELECT ' . $sql_select . ' FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	if(!empty($sql_where)) {
    $sql_query .= ' WHERE ' . $sql_where;
  }
  if(!empty($sql_order)) {
    $sql_query .= ' ORDER BY ' . $sql_order;
  }
  if(!empty($max)) {
    $sql_query .= ' LIMIT ' . $max . ' OFFSET ' . $first;
  }
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
  bx_log_sql($sql_query);
	$sql_data = pg_query($bx_db['con'], $sql_query) OR 
		bx_error_sql($bx_file, 'bx_sql_select', pg_last_error($bx_db['con']));
	if($max == 1) {
    $new_result = pg_fetch_assoc($sql_data);
  }
  else {
    while($sql_result = pg_fetch_assoc($sql_data)) {
		  $new_result[$run] = $sql_result;
		  $run++;
	  }
  }
	pg_free_result($sql_data);
	if(!empty($new_result)) {
		return $new_result;
	}
}

function bx_sql_update($bx_file,$sql_table,$sql_cells,$sql_content,$sql_id,$sql_where = 0) {

	global $bx_db;
  settype($sql_id,'integer');
  $max = count($sql_cells);
  $set = ' SET ';
  for($run=0; $run<$max; $run++) {
    $set .= $sql_cells[$run] . "='" . pg_escape_string($sql_content[$run]);
    if($run != $max - 1) { $set .= "', "; }
  }
  $set .= "' ";
  
	$sql_update = 'UPDATE ' . $bx_db['prefix'] . '_' . $sql_table . $set . ' WHERE ';
  if(empty($sql_where)) { 
    $sql_update .= $sql_table . "_id='" . $sql_id . "'";
  }
  else {
    $sql_update .= $sql_where;
  }
	pg_query($bx_db['con'], $sql_update) OR 
		bx_error_sql($bx_file, 'bx_sql_update', pg_last_error($bx_db['con']));
	
	$action = 1;
  if($sql_cells[0] == 'users_laston' OR $sql_table == 'count') {
		$action = 0;
	}
  bx_log_sql($sql_update,$action);
}

function bx_sql_version($bx_file) {

	global $bx_db;
	$sql_infos['type'] = 'PostgreSQL (pgsql)';
	$sql_infos['host'] = pg_host($bx_db['con']) OR 
		bx_error_sql($bx_file, 'bx_sql_version', pg_last_error($bx_db['con']));
	if(function_exists('pg_version')) {
		$pg_infos = pg_version($bx_db['con']) OR 
			bx_error_sql($bx_file, 'bx_sql_version', pg_last_error($bx_db['con']));
	}
	$sql_infos['client'] = isset($pg_infos['client']) ? $pg_infos['client'] : '-';
	$sql_infos['server'] = isset($pg_infos['server_version']) ? $pg_infos['server_version'] : '-';
	if($sql_infos['server'] == '-') {
  	$sql_query = 'SELECT VERSION()';
		bx_log_sql($sql_query);
  	$sql_data = pg_query($bx_db['con'], $sql_query) OR 
			bx_error_sql($bx_file, 'bx_sql_version', pg_last_error($bx_db['con']));
  	$sql_result = pg_fetch_row($sql_data);
		pg_free_result($sql_data);
		preg_match('=\d+\.\d+\.\d+=',$sql_result[0],$matches,PREG_OFFSET_CAPTURE);
		$sql_infos['server'] = isset($matches[0][0]) ? $matches[0][0] : '--';
	}
	return $sql_infos;
}

?>