<?php
// bx clanportal - www.bxcp.com
// $Id: sqlite.php 101 2006-07-12 09:36:29Z hajo $

function bx_sqlite_error($resource) {

  $error_code = sqlite_last_error($resource);
  return sqlite_error_string($error_code);
}

function bx_sql_connect($bx_db) {

	return sqlite_open($bx_db['name']);
}

function bx_sql_count($bx_file,$sql_table,$sql_where = 0) {

	global $bx_db;
	$sql_query = 'SELECT COUNT(*) FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	$sql_query .= empty($sql_where) ? '' : ' WHERE ' . $sql_where;
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
  bx_log_sql($sql_query);
	$sql_data = sqlite_query($bx_db['con'], $sql_query) OR 
		bx_error_sql($bx_file, 'bx_sql_count', bx_sqlite_error($bx_db['con']));
	$sql_result = sqlite_fetch_array($sql_data,SQLITE_NUM);
  bx_log_sql($sql_query);
}

function bx_sql_delete($bx_file,$sql_table,$sql_id,$sql_field = 0) {

  global $bx_db;
  settype($sql_id,'integer');
  if(empty($sql_field)) {
    $sql_field = $sql_table . '_id';
  }
	$sql_delete = 'DELETE FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	$sql_delete .= ' WHERE ' . $sql_field . ' = ' . $sql_id;
	sqlite_query($bx_db['con'], $sql_delete) OR 
		bx_error_sql($bx_file, 'bx_sql_delete', bx_sqlite_error($bx_db['con']));
  bx_log_sql($sql_delete,1);
}

function bx_sql_escape($string) {

	return sqlite_escape_string($string);
}

function bx_sql_insert($bx_file,$sql_table,$sql_cells,$sql_content) {

	global $bx_db;
  $max = count($sql_cells);
  $set = " (";
  for($run=0; $run<$max; $run++) {
    $set .= $sql_cells[$run];
    if($run != $max - 1) { $set .= ","; }
  }
  $set .= ") VALUES ('";
  for($run=0; $run<$max; $run++) {
    $set .= sqlite_escape_string($sql_content[$run]);
    if($run != $max - 1) { $set .= "','"; }
  }
  $set .= "')";
  
	$sql_insert = 'INSERT INTO ' . $bx_db['prefix'] . '_' . $sql_table . $set;
	sqlite_query($bx_db['con'], $sql_insert) OR 
		bx_error_sql($bx_file, 'bx_sql_insert', bx_sqlite_error($bx_db['con']));
  bx_log_sql($sql_insert);
}

function bx_sql_insertid($bx_file) {

	global $bx_db;
	$result = sqlite_last_insert_rowid($bx_db['con']) OR 
		bx_error_sql($bx_file, 'bx_sql_insertid', bx_sqlite_error($bx_db['con']));
	return $result;
}

function bx_sql_option($bx_file,$mod) {

	global $bx_db;
  $sql_query = 'SELECT * FROM  ' . $bx_db['prefix'] . '_' . 'options';
  $sql_query .= " WHERE options_mod='" . $mod . "'";
  $sql_data = sqlite_query($bx_db['con'], $sql_query) OR 
		bx_error_sql($bx_file, 'bx_sql_option', bx_sqlite_error($bx_db['con']));
  while($sql_result = sqlite_fetch_array($sql_data,SQLITE_ASSOC)) {
		$name = $sql_result['options_name'];
    $new_result[$name] = $sql_result['options_value'];
	}
  bx_log_sql($sql_query);
	if(!empty($new_result)) {
		return $new_result;
	}
}

function bx_sql_query($bx_file,$sql_query) {

	global $bx_db;
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
	bx_log_sql($sql_query);
	if(sqlite_query($bx_db['con'], $sql_query)) {
		return array('affected_rows' => sqlite_changes($bx_db['con']));
	}
	else { 
		bx_error_sql($bx_file, 'bx_sql_query', bx_sqlite_error($bx_db['con']));
		return FALSE;
	}
}

function bx_sql_select($bx_file,$sql_table,$sql_select,$sql_where = 0,$sql_order = 0,$first = 0,$max = 1) {

	global $bx_db;
	settype($first,'integer');
	settype($max,'integer');
  $run = 0;
	$sql_query = 'SELECT ' . $sql_select . ' FROM ' . $bx_db['prefix'] . '_' . $sql_table;
	if(!empty($sql_where)) {
    $sql_query .= ' WHERE ' . $sql_where;
  }
  if(!empty($sql_order)) {
    $sql_query .= ' ORDER BY ' . $sql_order;
  }
  if(!empty($max)) {
    $sql_query .= ' LIMIT ' . $first . ',' . $max;
  }
  $sql_query = str_replace('{pre}',$bx_db['prefix'],$sql_query);
	bx_log_sql($sql_query);
	$sql_data = sqlite_query($bx_db['con'], $sql_query) OR 
		bx_error_sql($bx_file, 'bx_sql_select', bx_sqlite_error($bx_db['con']));
	if($max == 1) {
    $new_result = sqlite_fetch_array($sql_data,SQLITE_ASSOC);
  }
  else {
    while($sql_result = sqlite_fetch_array($sql_data,SQLITE_ASSOC)) {
		  $new_result[$run] = $sql_result;
		  $run++;
	  }
  }
	if(!empty($new_result)) {
		return $new_result;
	}
}

function bx_sql_update($bx_file,$sql_table,$sql_cells,$sql_content,$sql_id,$sql_where = 0) {

	global $bx_db;
  settype($sql_id,'integer');
  $max = count($sql_cells);
  $set = ' SET ';
  for($run=0; $run<$max; $run++) {
    $set .= $sql_cells[$run] . "='" . sqlite_escape_string($sql_content[$run]);
    if($run != $max - 1) { $set .= "', "; }
  }
  $set .= "' ";
  
	$sql_update = 'UPDATE ' . $bx_db['prefix'] . '_' . $sql_table . $set . ' WHERE ';
  if(empty($sql_where)) { 
    $sql_update .= $sql_table . "_id='" . $sql_id . "'";
  }
  else {
    $sql_update .= $sql_where;
  }
	sqlite_query($bx_db['con'], $sql_update) OR 
		bx_error_sql($bx_file, 'bx_sql_update', bx_sqlite_error($bx_db['con']));
	
	$action = 1;
  if($sql_cells[0] == 'users_laston' OR $sql_table == 'count') {
		$action = 0;
	}
  bx_log_sql($sql_update,$action);
}

function bx_sql_version($bx_file) {

	$sql_infos['type'] = 'SQLite 2 (sqlite)';
	$sql_infos['host'] = 'localhost';
	$sql_infos['client'] = sqlite_libversion();
	$sql_infos['server'] = sqlite_libversion();
	return $sql_infos;
}

?>
