ALTER TABLE {pre}_users DROP users_postalcode;

ALTER TABLE {pre}_users ADD users_postalcode varchar(8) NOT NULL default '';

UPDATE {pre}_users SET users_country = 'fam' WHERE users_country = 'na';

UPDATE {pre}_users SET users_country = 'gb' WHERE users_country = 'uk';

UPDATE {pre}_users SET users_sex = '' WHERE users_sex = 'no';

UPDATE {pre}_users SET users_sex = 'male' WHERE users_sex = 'm';

UPDATE {pre}_users SET users_sex = 'female' WHERE users_sex = 'w';

ALTER TABLE {pre}_access ADD access_maps int(2) NOT NULL default '0';

ALTER TABLE {pre}_cash DROP cash_money;

ALTER TABLE {pre}_cash ADD cash_money varchar(8) NOT NULL default '';
 
ALTER TABLE {pre}_news ADD news_pictures text NOT NULL default '';

DROP TABLE {pre}_readtopics;

CREATE TABLE {pre}_read (
  read_id {serial},
  threads_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  read_since varchar(14) NOT NULL default '',
  PRIMARY KEY (read_id),
  UNIQUE (threads_id,users_id)
){engine};

CREATE TABLE {pre}_maps (
  maps_id {serial},
  games_id int(8) NOT NULL default '0',
  maps_name varchar(100) NOT NULL default '',
  maps_text text NOT NULL default '',
  maps_picture varchar(80) NOT NULL default '',
  PRIMARY KEY (maps_id)
){engine};

CREATE TABLE {pre}_rounds (
  rounds_id {serial},
  wars_id int(8) NOT NULL default '0',
  maps_id int(8) NOT NULL default '0',
  rounds_score1 int(6) NOT NULL default '0',
  rounds_score2 int(6) NOT NULL default '0',
  rounds_description varchar(80) NOT NULL default '',
  PRIMARY KEY (rounds_id)
){engine};

CREATE TABLE {pre}_players (
  players_id {serial},
  users_id int(8) NOT NULL DEFAULT '0',
  wars_id int(8) NOT NULL DEFAULT '0',
  players_status varchar(20) NOT NULL DEFAULT '',
  players_played int(2) NOT NULL DEFAULT '0',
  players_time varchar(14) NOT NULL DEFAULT '',
  PRIMARY KEY (players_id)
){engine};

CREATE TABLE {pre}_boardvotes (
  boardvotes_id {serial},
  threads_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  boardvotes_access int(2) NOT NULL default '0',
  boardvotes_time varchar(14) NOT NULL default '',
  boardvotes_end varchar(14) NOT NULL default '',
  boardvotes_question varchar(50) NOT NULL default '',
  boardvotes_election text NOT NULL default '',
  PRIMARY KEY (boardvotes_id)
) {engine};

CREATE TABLE {pre}_boardfiles (
  boardfiles_id {serial},
  threads_id int(8) NOT NULL default '0',
  comments_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  boardfiles_time varchar(14) NOT NULL default '',
  boardfiles_name varchar(80) NOT NULL default '',
  PRIMARY KEY (boardfiles_id)
) {engine};

INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('bxcp', 'def_admin', '');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('abcode', 'max_width', '300');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('abcode', 'max_height', '300');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('abcode', 'max_size', '51200');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('abcode', 'def_func', '');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('banners', 'max_width', '100');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('banners', 'max_height', '100');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('banners', 'max_size', '51200');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('banners', 'def_order', '1');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('categories', 'max_width', '150');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('categories', 'max_height', '150');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('categories', 'max_size', '51200');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('categories', 'def_mod', 'news');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('computers', 'max_width', '800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('computers', 'max_height', '600');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('computers', 'max_size', '204800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('board', 'file_size', '204800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('board', 'file_types', 'jpg,jpeg,gif,png,txt,pdf');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('squads', 'max_width', '250');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('squads', 'max_height', '100');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('squads', 'max_size', '76800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('squads', 'def_order', '1');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('users', 'max_width', '140');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('users', 'max_height', '170');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('users', 'max_size', '51200');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('wars', 'max_width', '800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('wars', 'max_height', '600');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('wars', 'max_size', '204800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('news', 'max_width', '800');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('news', 'max_height', '600');
INSERT INTO {pre}_options (options_mod, options_name, options_value) VALUES ('news', 'max_size', '204800');

CREATE INDEX {pre}_abonements_users_id_index ON {pre}_abonements (users_id);
CREATE INDEX {pre}_abonements_threads_id_index ON {pre}_abonements (threads_id);
CREATE INDEX {pre}_articles_users_id_index ON {pre}_articles (users_id);
CREATE INDEX {pre}_articles_categories_id_index ON {pre}_articles (categories_id);
CREATE INDEX {pre}_autoresponder_users_id_index ON {pre}_autoresponder (users_id);
CREATE INDEX {pre}_awards_users_id_index ON {pre}_awards (users_id);
CREATE INDEX {pre}_awards_games_id_index ON {pre}_awards (games_id);
CREATE INDEX {pre}_board_users_id_index ON {pre}_board (users_id);
CREATE INDEX {pre}_board_categories_id_index ON {pre}_board (categories_id);
CREATE INDEX {pre}_boardfiles_threads_id_index ON {pre}_boardfiles (threads_id);
CREATE INDEX {pre}_boardfiles_comments_id_index ON {pre}_boardfiles (comments_id);
CREATE INDEX {pre}_boardfiles_users_id_index ON {pre}_boardfiles (users_id);
CREATE INDEX {pre}_boardmods_users_id_index ON {pre}_boardmods (users_id);
CREATE INDEX {pre}_boardpws_board_id_index ON {pre}_boardpws (board_id);
CREATE INDEX {pre}_boardpws_users_id_index ON {pre}_boardpws (users_id);
CREATE INDEX {pre}_boardvotes_threads_id_index ON {pre}_boardvotes (threads_id);
CREATE INDEX {pre}_boardvotes_users_id_index ON {pre}_boardvotes (users_id);
CREATE INDEX {pre}_buddys_users_id_index ON {pre}_buddys (users_id);
CREATE INDEX {pre}_buddys_buddys_user_index ON {pre}_buddys (buddys_user);
CREATE INDEX {pre}_comments_users_id_index ON {pre}_comments (users_id);
CREATE INDEX {pre}_comments_comments_fid_index ON {pre}_comments (comments_fid);
CREATE INDEX {pre}_computers_users_id_index ON {pre}_computers (users_id);
CREATE INDEX {pre}_events_categories_id_index ON {pre}_events (categories_id);
CREATE INDEX {pre}_faq_users_id_index ON {pre}_faq (users_id);
CREATE INDEX {pre}_faq_categories_id_index ON {pre}_faq (categories_id);
CREATE INDEX {pre}_fightus_categories_id_index ON {pre}_fightus (categories_id);
CREATE INDEX {pre}_fightus_games_id_index ON {pre}_fightus (games_id);
CREATE INDEX {pre}_fightus_squads_id_index ON {pre}_fightus (squads_id);
CREATE INDEX {pre}_files_users_id_index ON {pre}_files (users_id);
CREATE INDEX {pre}_files_categories_id_index ON {pre}_files (categories_id);
CREATE INDEX {pre}_gallery_categories_id_index ON {pre}_gallery (categories_id);
CREATE INDEX {pre}_gallery_users_id_index ON {pre}_gallery (users_id);
CREATE INDEX {pre}_games_categories_id_index ON {pre}_games (categories_id);
CREATE INDEX {pre}_gbook_users_id_index ON {pre}_gbook (users_id);
CREATE INDEX {pre}_gbook_gbook_users_id_index ON {pre}_gbook (gbook_users_id);
CREATE INDEX {pre}_history_users_id_index ON {pre}_history (users_id);
CREATE INDEX {pre}_joinus_squads_id_index ON {pre}_joinus (squads_id);
CREATE INDEX {pre}_joinus_games_id_index ON {pre}_joinus (games_id);
CREATE INDEX {pre}_links_categories_id_index ON {pre}_links (categories_id);
CREATE INDEX {pre}_mail_categories_id_index ON {pre}_mail (categories_id);
CREATE INDEX {pre}_maps_games_id_index ON {pre}_maps (games_id);
CREATE INDEX {pre}_members_squads_id_index ON {pre}_members (squads_id);
CREATE INDEX {pre}_members_users_id_index ON {pre}_members (users_id);
CREATE INDEX {pre}_messages_users_id_index ON {pre}_messages (users_id);
CREATE INDEX {pre}_messages_users_id_to_index ON {pre}_messages (users_id_to);
CREATE INDEX {pre}_news_categories_id_index ON {pre}_news (categories_id);
CREATE INDEX {pre}_news_users_id_index ON {pre}_news (users_id);
CREATE INDEX {pre}_newsletter_users_id_index ON {pre}_newsletter (users_id);
CREATE INDEX {pre}_quotes_categories_id_index ON {pre}_quotes (categories_id);
CREATE INDEX {pre}_quotes_users_id_index ON {pre}_quotes (users_id);
CREATE INDEX {pre}_read_threads_id_index ON {pre}_read (threads_id);
CREATE INDEX {pre}_read_users_id_index ON {pre}_read (users_id);
CREATE INDEX {pre}_replays_categories_id_index ON {pre}_replays (categories_id);
CREATE INDEX {pre}_replays_games_id_index ON {pre}_replays (games_id);
CREATE INDEX {pre}_replays_users_id_index ON {pre}_replays (users_id);
CREATE INDEX {pre}_rounds_wars_id_index ON {pre}_rounds (wars_id);
CREATE INDEX {pre}_rounds_maps_id_index ON {pre}_rounds (maps_id);
CREATE INDEX {pre}_rules_categories_id_index ON {pre}_rules (categories_id);
CREATE INDEX {pre}_servers_games_id_index ON {pre}_servers (games_id);
CREATE INDEX {pre}_squads_clans_id_index ON {pre}_squads (clans_id);
CREATE INDEX {pre}_squads_games_id_index ON {pre}_squads (games_id);
CREATE INDEX {pre}_threads_board_id_index ON {pre}_threads (board_id);
CREATE INDEX {pre}_threads_users_id_index ON {pre}_threads (users_id);
CREATE INDEX {pre}_users_access_id_index ON {pre}_users (access_id);
CREATE INDEX {pre}_voted_users_id_index ON {pre}_voted (users_id);
CREATE INDEX {pre}_voted_voted_fid_index ON {pre}_voted (voted_fid);
CREATE INDEX {pre}_votes_users_id_index ON {pre}_votes (users_id);
CREATE INDEX {pre}_wars_games_id_index ON {pre}_wars (games_id);
CREATE INDEX {pre}_wars_categories_id_index ON {pre}_wars (categories_id);
CREATE INDEX {pre}_wars_squads_id_index ON {pre}_wars (squads_id);
CREATE INDEX {pre}_wars_clans_id_index ON {pre}_wars (clans_id);