CREATE TABLE {pre}_cash (
  cash_id {serial},
  cash_time varchar(14) NOT NULL default '',
  cash_money int(8) NOT NULL default '0',
  cash_text varchar(200) NOT NULL default '',
  cash_info text NOT NULL,
  cash_inout varchar(4) NOT NULL default '',
  PRIMARY KEY (cash_id)
){engine};

ALTER TABLE {pre}_access ADD access_cash int(2) NOT NULL AFTER access_buddys;

CREATE TABLE {pre}_categories (
  categories_id {serial},
  categories_mod varchar(80) NOT NULL,
  categories_access int(2) NOT NULL default '0',
  categories_name varchar(80) NOT NULL default '',
  categories_picture varchar(80) NOT NULL default '',
  categories_url varchar(80) NOT NULL default '',
  categories_text text NOT NULL,
  PRIMARY KEY (categories_id),
  UNIQUE (categories_mod,categories_name)
){engine};

DROP TABLE {pre}_categorys;

ALTER TABLE {pre}_access CHANGE access_categorys access_categories  int(2) NOT NULL default '0';

ALTER TABLE {pre}_faq CHANGE categorys_id categories_id int(8) NOT NULL default '0';
ALTER TABLE {pre}_games CHANGE categorys_id categories_id int(8) NOT NULL default '0';
ALTER TABLE {pre}_links CHANGE categorys_id categories_id int(8) NOT NULL default '0';
ALTER TABLE {pre}_mail CHANGE categorys_id categories_id int(8) NOT NULL default '0';
ALTER TABLE {pre}_news CHANGE categorys_id categories_id int(8) NOT NULL default '0';
ALTER TABLE {pre}_sdk CHANGE categorys_id categories_id int(8) NOT NULL default '0';
ALTER TABLE {pre}_wars CHANGE categorys_id categories_id int(8) NOT NULL default '0';

CREATE TABLE {pre}_linkus (
  linkus_id {serial},
  linkus_name varchar(200) NOT NULL default '',
  linkus_url varchar(200) NOT NULL default '',
  linkus_banner varchar(40) NOT NULL default '',
  PRIMARY KEY (linkus_id)
){engine};

ALTER TABLE {pre}_access ADD access_linkus int(2) NOT NULL AFTER access_links;

CREATE TABLE {pre}_messages (
  messages_id {serial},
  users_id int(8) NOT NULL,
  users_id_to int(8) NOT NULL,
  messages_time varchar(14) NOT NULL,
  messages_subject varchar(80) NOT NULL,
  messages_text text NOT NULL,
  messages_view int(2) NOT NULL,
  messages_options varchar(10) NOT NULL,
  PRIMARY KEY (messages_id)
){engine};

ALTER TABLE {pre}_access ADD access_messages int(2) NOT NULL AFTER access_members;

UPDATE {pre}_options SET options_value='recent' 
WHERE options_mod = 'bxcp' AND options_name = 'def_action';

ALTER TABLE {pre}_comments DROP INDEX comments_fid;

ALTER TABLE {pre}_news ADD news_close int(2) NOT NULL;

CREATE TABLE {pre}_rules (
  rules_id {serial},
  categories_id int(8) NOT NULL default '0',
  rules_order varchar(150) NOT NULL default '',
  rules_rule text NOT NULL,
  PRIMARY KEY (rules_id)
){engine};

ALTER TABLE {pre}_access ADD access_rules int(2) NOT NULL AFTER access_options;

ALTER TABLE {pre}_access ADD access_search int(2) NOT NULL AFTER access_sdk;

ALTER TABLE {pre}_voted CHANGE voted_modul voted_mod varchar(80) NOT NULL default '';