UPDATE {pre}_options SET options_value = 'crystal_clear' WHERE options_name = 'img_path';

ALTER TABLE {pre}_users ADD users_view varchar(20) NOT NULL;

ALTER TABLE {pre}_links ADD links_sponsor int(2) NOT NULL;

ALTER TABLE {pre}_links ADD links_banner varchar(40) NOT NULL;

DROP TABLE {pre}_wars;

CREATE TABLE {pre}_wars (
  wars_id {serial},
  games_id int(8) NOT NULL default '0',
  categories_id int(8) NOT NULL default '0',
  clans_id int(8) NOT NULL default '0',
  squads_id int(8) NOT NULL default '0',
  wars_date varchar(14) NOT NULL default '',
	wars_status varchar(20) NOT NULL default '',
  wars_score1 int(6) NOT NULL default '0',
  wars_score2 int(6) NOT NULL default '0',
  wars_url varchar(80) NOT NULL default '',
  wars_rounds text NOT NULL default '',
  wars_report text NOT NULL default '',
	wars_close int(2) NOT NULL default '0',
  PRIMARY KEY (wars_id)
){engine};

ALTER TABLE {pre}_access ADD access_joinus int(2) NOT NULL;

ALTER TABLE {pre}_access ADD access_fightus int(2) NOT NULL;

ALTER TABLE {pre}_access ADD access_banners int(2) NOT NULL default '0';

CREATE TABLE {pre}_joinus (
  joinus_id {serial},
  games_id int(8) NOT NULL default '0',
  squads_id int(8) NOT NULL default '0',
  joinus_since varchar(14) NOT NULL default '',
  joinus_nick varchar(40) NOT NULL default '',
  joinus_name varchar(80) NOT NULL default '',
  joinus_surname varchar(80) NOT NULL default '',
  joinus_age varchar(14) NOT NULL default '',
  joinus_country varchar(4) NOT NULL default '',
  joinus_place varchar(40) NOT NULL default '',
  joinus_icq int(12) NOT NULL default '0',
  joinus_msn varchar(40) NOT NULL default '',
  joinus_email varchar(40) NOT NULL default '',
  joinus_webcon varchar(80) NOT NULL default '',
  joinus_lanact varchar(80) NOT NULL default '',
  joinus_date varchar(14) NOT NULL default '',
  joinus_more text NOT NULL default '',
  PRIMARY KEY (joinus_id)
){engine};

CREATE TABLE {pre}_fightus (
  fightus_id {serial},
  categories_id int(8) NOT NULL default '0',
  games_id int(8) NOT NULL default '0',
  squads_id int(8) NOT NULL default '0',
  fightus_since varchar(14) NOT NULL default '',
  fightus_nick varchar(40) NOT NULL default '',
  fightus_icq int(12) NOT NULL default '0',
  fightus_msn varchar(40) NOT NULL default '',
  fightus_email varchar(40) NOT NULL default '',
  fightus_clan varchar(200) NOT NULL default '',
  fightus_short varchar(20) NOT NULL default '',
  fightus_country varchar(4) NOT NULL default '',
  fightus_url varchar(80) NOT NULL default '',
  fightus_date varchar(14) NOT NULL default '',
  fightus_more text NOT NULL default '',
  PRIMARY KEY (fightus_id)
){engine};

CREATE TABLE {pre}_banners (
  banners_id {serial},
  banners_name varchar(40) NOT NULL default '',
  banners_url varchar(80) NOT NULL default '',
  banners_alt varchar(80) NOT NULL default '',
  banners_order int(4) NOT NULL default '0',
  banners_picture varchar(80) NOT NULL default '',
  PRIMARY KEY (banners_id)
){engine};

ALTER TABLE {pre}_access DROP access_sdk;

DROP TABLE {pre}_sdk;

DROP TABLE {pre}_messages;

CREATE TABLE {pre}_messages (
  messages_id {serial},
  users_id int(8) NOT NULL default '0',
  users_id_to int(8) NOT NULL default '0',
  messages_time varchar(14) NOT NULL default '',
  messages_subject varchar(80) NOT NULL default '',
  messages_text text NOT NULL,
  messages_view int(2) NOT NULL default '0',
  messages_archiv_receiver int(2) NOT NULL default '0',
  messages_archiv_sender int(2) NOT NULL default '0',
  messages_show_receiver int(2) NOT NULL default '0',
  messages_show_sender int(2) NOT NULL default '0',
  PRIMARY KEY (messages_id)
){engine};

ALTER TABLE {pre}_access ADD access_files int(2) NOT NULL default '0';

ALTER TABLE {pre}_access ADD access_gallery int(2) NOT NULL default '0';

ALTER TABLE {pre}_access ADD access_ranks int(2) NOT NULL default '0';

ALTER TABLE {pre}_access ADD access_quotes int(2) NOT NULL default '0';

CREATE TABLE {pre}_files (
  files_id {serial},
  users_id int(8) NOT NULL default '0',
  categories_id int(8) NOT NULL default '0',
  files_name varchar(80) NOT NULL default '',
  files_description text NOT NULL,
  files_time varchar(14) NOT NULL default '',
  files_count int(12) NOT NULL default '0',
  files_vote int(2) NOT NULL default '0',
  files_close varchar(8) NOT NULL default '',
  files_access int(8) NOT NULL default '0',
  files_mirror text NOT NULL,
  files_size int(20) NOT NULL default '0',
  PRIMARY KEY (files_id)
){engine};

CREATE TABLE {pre}_gallery (
  gallery_id {serial},
  categories_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  gallery_name varchar(80) NOT NULL default '',
  gallery_titel varchar(40) NOT NULL default '',
  gallery_access int(8) NOT NULL default '0',
  gallery_status int(2) NOT NULL default '0',
  gallery_description text NOT NULL default '',
  gallery_time varchar(14) NOT NULL default '0',
  gallery_count int(8) NOT NULL default '0',
  gallery_vote int(2) NOT NULL default '0',
  gallery_download varchar(20) NOT NULL default '0',
  gallery_watermark varchar(20) NOT NULL default '',
  gallery_watermark_pos varchar(10) NOT NULL default '',
  PRIMARY KEY (gallery_id)
){engine};

CREATE TABLE {pre}_ranks (
  ranks_id {serial},
	ranks_name varchar(80) NOT NULL default '',
  ranks_url varchar(80) NOT NULL default '',
  ranks_img varchar(80) NOT NULL default '',
  ranks_code text NOT NULL default '',
  PRIMARY KEY (ranks_id)
){engine};

CREATE TABLE {pre}_quotes (
  quotes_id {serial},
  categories_id int(8) NOT NULL default '0',
  users_id int(8) NOT NULL default '0',
  quotes_quote text NOT NULL,
  quotes_time varchar(14) NOT NULL default '',
  PRIMARY KEY (quotes_id)
){engine};

INSERT INTO {pre}_options VALUES (13, 'gallery', 'cols', '3');
INSERT INTO {pre}_options VALUES (14, 'gallery', 'rows', '4');
INSERT INTO {pre}_options VALUES (15, 'gallery', 'xpics', '5');
INSERT INTO {pre}_options VALUES (16, 'gallery', 'thumbs', '100');
INSERT INTO {pre}_options VALUES (17, 'gallery', 'quality', '80');
INSERT INTO {pre}_options VALUES (18, 'gallery', 'width', '2000');
INSERT INTO {pre}_options VALUES (19, 'gallery', 'height', '2000');
INSERT INTO {pre}_options VALUES (20, 'gallery', 'size', '1022976');
INSERT INTO {pre}_options VALUES (21, 'messages', 'max_space', '20');
INSERT INTO {pre}_options VALUES (22, 'messages', 'del_time', '10');

ALTER TABLE {pre}_categories ADD categories_access int(2) NOT NULL default '0';

ALTER TABLE {pre}_news ADD news_public int(2) NOT NULL default '0';

UPDATE {pre}_news SET news_public = 1 WHERE news_id > 0;

ALTER TABLE {pre}_wars ADD wars_pictures text NOT NULL default '';

ALTER TABLE {pre}_access ADD access_computers int(2) NOT NULL default '0';

ALTER TABLE {pre}_access ADD access_events int(2) NOT NULL default '0';

CREATE TABLE {pre}_computers (
  computers_id {serial},
  users_id int(8) NOT NULL default '0',
  computers_since varchar(14) NOT NULL default '',
	computers_name varchar(40) NOT NULL default '',
	computers_software varchar(40) NOT NULL default '',
  computers_mainboard varchar(80) NOT NULL default '',
  computers_memory text NOT NULL default '',
  computers_processors text NOT NULL default '',
  computers_graphics text NOT NULL default '',
  computers_sounds text NOT NULL default '',
  computers_harddisks text NOT NULL default '',
  computers_drives text NOT NULL default '',
  computers_screens text NOT NULL default '',
  computers_interfaces text NOT NULL default '',
  computers_networks text NOT NULL default '',
  computers_more text NOT NULL default '',
  computers_pictures text NOT NULL default '',
  PRIMARY KEY (computers_id)
){engine};

CREATE TABLE {pre}_events (
  events_id {serial},
  categories_id int(8) NOT NULL default '0',
	events_name varchar(40) NOT NULL default '',
  events_url varchar(80) NOT NULL default '',
  events_time varchar(14) NOT NULL default '',
  events_more text NOT NULL default '',
  PRIMARY KEY (events_id)
){engine};

ALTER TABLE {pre}_gallery ADD gallery_count_cards int(8) NOT NULL default '0';

ALTER TABLE {pre}_gallery ADD gallery_count_downloads int(8) NOT NULL default '0';

ALTER TABLE {pre}_gbook ADD gbook_users_id int(8) NOT NULL default '0';

ALTER TABLE {pre}_access ADD access_articles int(2) NOT NULL default '0';

ALTER TABLE {pre}_access ADD access_newsletter int(2) NOT NULL default '0';

CREATE TABLE {pre}_articles (
  articles_id {serial},
  users_id int(8) NOT NULL default '0',
  categories_id int(8) NOT NULL default '0',
  articles_time varchar(14) NOT NULL default '0',
  articles_text text NOT NULL,
  articles_headline varchar(200) NOT NULL default '',
  articles_navlist int(2) NOT NULL default '0',
  articles_views int(8) NOT NULL default '0',
  articles_com int(2) NOT NULL default '0',
  articles_fornext int(2) NOT NULL default '0',
  PRIMARY KEY (articles_id)
){engine};

CREATE TABLE {pre}_autoresponder (
  autoresponder_id {serial},
  users_id int(8) NOT NULL default '0',
  autoresponder_subject varchar(80) NOT NULL default '',
  autoresponder_text text NOT NULL,
  autoresponder_time varchar(14) default NULL,
  autoresponder_close int(2) NOT NULL default '0',
  autoresponder_mail int(8) NOT NULL default '0',
  PRIMARY KEY (autoresponder_id)
) {engine};

CREATE TABLE {pre}_newsletter (
  newsletter_id {serial},
  users_id int(8) NOT NULL,
  newsletter_to varchar(200) NOT NULL,
  newsletter_subject varchar(200) NOT NULL,
  newsletter_text text NOT NULL,
  newsletter_time varchar(200) NOT NULL,
  PRIMARY KEY (newsletter_id)
){engine};